Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libqt5core5-5.15.2-4.mga8 RPM for armv7hl

From Mageia 8 for armv7hl / media / core / release

Name: libqt5core5 Distribution: Mageia
Version: 5.15.2 Vendor: Mageia.Org
Release: 4.mga8 Build date: Mon Dec 28 17:56:11 2020
Group: System/Libraries Build host: localhost
Size: 5028396 Source RPM: qtbase5-5.15.2-4.mga8.src.rpm
Packager: neoclust <neoclust>
Url: https://www.qt.io/
Summary: Qt5 Core Library
Qt5 Component Library.

The QtCore module contains core non-GUI functionality.

Provides

Requires

License

LGPLv2 with exceptions or GPLv3 with exceptions and GFDL

Changelog

* Mon Dec 28 2020 neoclust <neoclust> 5.15.2-4.mga8
  + Revision: 1664531
  - Disable in csh file too
* Mon Dec 28 2020 neoclust <neoclust> 5.15.2-3.mga8
  + Revision: 1664429
  - Fix 60qt5.sh (from r1664398)
* Mon Dec 28 2020 neoclust <neoclust> 5.15.2-2.mga8
  + Revision: 1664398
  - Disable setting QT_PLUGIN_PATH as it seems make softwares like zoom to start
* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
  + Revision: 1652433
  - New version 5.15.2
  - remove merged upstream patches
* Mon Nov 30 2020 luigiwalser <luigiwalser> 5.15.1-5.mga8
  + Revision: 1650921
  - rebuild for icu
* Thu Nov 19 2020 daviddavid <daviddavid> 5.15.1-4.mga8
  + Revision: 1647562
  - backport upstream patch to fix SIGTRAP with gdb (QTBUG-86319)
* Tue Oct 20 2020 daviddavid <daviddavid> 5.15.1-3.mga8
  + Revision: 1637250
  - qt5gui-devel sub-pkg requires vulkan headers
* Thu Oct 01 2020 daviddavid <daviddavid> 5.15.1-2.mga8
  + Revision: 1631358
  - enable vulkan support
  - backport upstream fix: Emit QScreen::geometryChanged when the logical DPI changes
* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
  + Revision: 1624892
  - New version 5.15.1
* Tue Aug 25 2020 daviddavid <daviddavid> 5.15.0-6.mga8
  + Revision: 1618860
  - fix another buffer overflow (oss-fuzz-23988)
* Mon Aug 24 2020 daviddavid <daviddavid> 5.15.0-5.mga8
  + Revision: 1618499
  - add upstream patch to fix CVE-2020-17507 (mga#27173)
* Fri Aug 07 2020 daviddavid <daviddavid> 5.15.0-4.mga8
  + Revision: 1611740
  - ship $$[QT_INSTALL_DATA]/qtlogging.ini for packaged logging defaults (mga#26900)
  - categoried logging for xcb entries (QTBUG-55167, mga#27054)
* Wed Jul 01 2020 wally <wally> 5.15.0-3.mga8
  + Revision: 1601057
  - rebuild for icu 67.1
* Fri Jun 05 2020 daviddavid <daviddavid> 5.15.0-2.mga8
  + Revision: 1590564
  - move the metatypes files in their appropriate devel sub-pkgs
* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
  + Revision: 1589798
  - New version 5.15.0
  - remove merged upstream patch
* Wed Apr 08 2020 daviddavid <daviddavid> 5.14.1-9.mga8
  + Revision: 1565558
  - fix CVE-2015-9541 XML entity expansion vulnerability via a crafted SVG document
* Sat Apr 04 2020 wally <wally> 5.14.1-8.mga8
  + Revision: 1564494
  - rebuild for new icu 66.1
  + danf <danf>
  - Switch URLs from http: to https:
* Fri Mar 06 2020 daviddavid <daviddavid> 5.14.1-7.mga8
  + Revision: 1554460
  - fix testsdir path
  - change binaries in /usr/bin from harlink to symlink
* Tue Mar 03 2020 daviddavid <daviddavid> 5.14.1-6.mga8
  + Revision: 1553508
  - now use system MD4C
* Tue Mar 03 2020 daviddavid <daviddavid> 5.14.1-5.mga8
  + Revision: 1553452
  - disable the relocatable feature should fix a prefix issue since Qt 5.14 (mga#26200)
    * see also QTBUG-78948 and QTBUG-82589
  - use system pcre2 and system double-conversion
* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-4.mga8
  + Revision: 1546764
  - Mageia 8 Mass Rebuild
  + daviddavid <daviddavid>
  - fix QTDIR and QTDIR5 path since Qt5 prefix change
* Wed Feb 05 2020 daviddavid <daviddavid> 5.14.1-3.mga8
  + Revision: 1487132
  - make that libQt5Sql5 and libQt5Sql-devel requires qt5-database-plugin-ibase
* Thu Jan 30 2020 daviddavid <daviddavid> 5.14.1-2.mga8
  + Revision: 1485597
  - enable ibase plugin
* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
  + Revision: 1484344
  - New version 5.14.1
  - move the qt5-check-opengl2.sh file from lib(64)qt5gui5 to the common subpkg (mga#25418)
* Sat Oct 05 2019 daviddavid <daviddavid> 5.13.1-4.mga8
  + Revision: 1449435
  - rebuild for new icu 65.1
* Thu Sep 19 2019 daviddavid <daviddavid> 5.13.1-3.mga8
  + Revision: 1443790
  - fix library dependency for QtEglFSDeviceIntegrations devel subpkg
  - fix library dependency for QtXcbQpa devel subpkg
* Sat Sep 07 2019 daviddavid <daviddavid> 5.13.1-2.mga8
  + Revision: 1438058
  - folder "/usr/share/doc/qt5/config/" should be in common sub-pkg
* Fri Sep 06 2019 daviddavid <daviddavid> 5.13.1-1.mga8
  + Revision: 1437719
  - New version 5.13.1
* Tue Sep 03 2019 daviddavid <daviddavid> 5.13.0-6.mga8
  + Revision: 1436607
  - make that libQt5Sql5 requires qt5-database-plugin-sqlite
  - rebuild for new gcc 9 and glibc 2.30
* Fri Jul 26 2019 daviddavid <daviddavid> 5.13.0-5.mga8
  + Revision: 1424388
  - rebuild to regenerate rpms into release
* Wed Jul 24 2019 wally <wally> 5.13.0-4.mga8
  + Revision: 1423725
  - add a workaround to fix hardcoded lib location to fix some 64 bit builds depending on Qt
* Sat Jul 13 2019 daviddavid <daviddavid> 5.13.0-3.mga8
  + Revision: 1420973
  - one more mkspecs fixes
  + neoclust <neoclust>
  - More mkspecs fixes (thanks to daviddavid )
  - Fix mkspecs location
* Sat Jul 13 2019 neoclust <neoclust> 5.13.0-2.mga8
  + Revision: 1420898
  - Start to move to /usr
  + wally <wally>
  - provide qmake with common-devel
* Tue Jul 02 2019 daviddavid <daviddavid> 5.13.0-1.mga8
  + Revision: 1417511
  - New version 5.13.0
* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
  + Revision: 1384340
  - Qt5 Rebuild
* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
  + Revision: 1378638
  - New version 5.12.2
* Fri Feb 22 2019 neoclust <neoclust> 5.12.1-6.mga7
  + Revision: 1369268
  - Fix paths for QT_PLUGIN_PATH
  - Only export path once
* Thu Feb 21 2019 daviddavid <daviddavid> 5.12.1-4.mga7
  + Revision: 1369214
  - system doesn't know of new "/usr/lib(64)/qt5/plugins/kcms" path
    from QT_PLUGIN_PATH, so let's export it
* Sun Feb 17 2019 daviddavid <daviddavid> 5.12.1-3.mga7
  + Revision: 1368048
  - require openssl-devel >= 1.1 on qtnetwork5-devel sub-pkg
* Sat Feb 09 2019 neoclust <neoclust> 5.12.1-2.mga7
  + Revision: 1364596
  - Revert upstream patch to try to fix mga#24060
* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
  + Revision: 1362318
  - New version 5.12.1
* Sat Dec 29 2018 luigiwalser <luigiwalser> 5.12.0-2.mga7
  + Revision: 1346112
  - rebuild for icu

Files

/usr/lib/.build-id
/usr/lib/.build-id/dc
/usr/lib/.build-id/dc/fd1af0bac46e13e2e16282c62d478a2fb510f7
/usr/lib/libQt5Core.so.5
/usr/lib/libQt5Core.so.5.15
/usr/lib/libQt5Core.so.5.15.2


Generated by rpm2html 1.8.1

Fabrice Bellet, Fri Dec 3 01:11:18 2021